package _05_值传递和引用传递;

public class Test6 {
    public static void main(String[] args) {
        /**
         * 	判断101~200之间有多少个素数，并输出所有素数
         * 	素数就是质数
         * 	除了1 和他本身能够被除   7  11
         */
        int count = 0;
        for (int j = 101; j <= 200 ; j++) {
            boolean flag = false;

            // 遍历 2 - number 如果能够整除说明这个数就不是一个质数 flag = true
            for (int i = 2; i <j ; i++) {
                if(j % i == 0){
                    flag = true;
                    break;
                }
            }
            if(flag){
                System.out.println(j +"不是一个质数");
            }else{
                count++;
                System.out.println(j+ "是一个质数");
            }
        }
        System.out.println("101-200一共有:"+ count +"个质数");
    }
}
